Page MenuHomePhabricator

cloudvps: queryrapi project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the queryrapi project needs to upgrade as soon as possible.

The list of affected VMs is:

  • queryr-api-01.queryrapi.eqiad.wmflabs
  • queryr-db-01.queryrapi.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/queryrapi

Event Timeline

aborrero triaged this task as Medium priority.Sep 18 2018, 10:51 AM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 10:51 AM

Hey @JeroenDeDauw! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

Another ping. Deadline is approaching (2018-12-18).

Ping. Today is Friday and the deadline is Tuesday.

@JeroenDeDauw: Today is the deadline.

Hi! Since the deadline already passed, we agreed on shutting down remaining Trusty instances on 2019-01-18. More info at https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects

@Addshore seeing as you've assigned this, please can you confirm the assignee is aware of the task?

@JeroenDeDauw @Addshore: ping, this is scheduled for shutdown today

I'm just seeing this now as addshore mailed me.

Ideally the thing keeps running as it is a nice example of alternative API design. That said, if it takes a pile of effort, then by all means shut it down. This is not high priority and we can always set it up again if really needed.

Mentioned in SAL (#wikimedia-cloud) [2019-01-21T16:43:24Z] <gtirloni> T204683 shutdown ubuntu VMs: queryr-db-01, queryr-api-01

aborrero closed this task as Resolved.Feb 12 2019, 4:30 PM

Mentioned in SAL (#wikimedia-cloud) [2019-03-14T23:09:09Z] <bd808> Deleted queryr-db-01 and queryr-api-01 (T204683)